from fastapi import APIRouter
from fastapi import Request
from fastapi.responses import HTMLResponse

from templates import templates

gf = APIRouter()


@gf.get("/user/{id}", response_class=HTMLResponse)
async def get_user(request: Request, id: str):
    crumbs = [("settings", False), ("users", "/users"), (id, False)]
    return templates.TemplateResponse(
        "user.html", {"request": request, "crumbs": crumbs, "user": "test", "id": id, "title": f"User {id}"}
    )
